<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head th:include="fragments/head :: head">
    <meta charset="UTF-8"/>
    <title>Edit Game</title>

</head>
<body class="black">
<!--/*@thymesVar id="game" type="com.pos_land.steam.domain.Game"*/-->
<div th:include="fragments/header :: header"></div>
<div th:include="fragments/modal :: modal"></div>

<div class="container-fluid">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h1>Edit Game</h1>
                </div>
            </div>
        </div>
    </div>
    <form th:object="${game}" method="post" th:action="@{/game/update/submit}">
        <div class="row">
            <div class="col-md-8 col-md-offset-2">
                <div>
                    <input type="hidden" th:field="*{id}"/>
                    <label>Name</label>
                    <input class="form-control" type="text" maxlength="300" th:field="*{gameName}">
                </div>
                <div>
                    <label>Releasedate</label>
                    <input class="form-control" type="date" th:field="*{releaseDate}">
                </div>
                <div>
                    <label>Price</label>
                    <input class="form-control" type="number" step="0.01" th:field="*{price}">
                </div>
                <div>
                    <label>Genre</label>
                    <select class="form-control" th:field="*{genre}">
                        <option th:each="g : ${allGenres}" th:value="${g}" th:text="${g.name}"></option>
                    </select>
                </div>
                <div>
                    <label>Description</label>
                    <textarea style="resize: vertical; min-height: 60px;" class="form-control"
                              th:field="*{description}"></textarea>
                </div>
                <div>
                    <label>Publisher</label>
                    <select class="form-control" th:field="*{publisher.id}">
                        <option th:each="pub : ${allPublishers}" th:value="${pub.id}"
                                th:text="${pub.publisherName}"></option>
                    </select>
                </div>
                <div>
                    <br/>
                    <label>Developers</label>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-8 col-md-offset-2">
                <table class="table" id="gameTable">
                    <thead class="thead-inverse">
                    <tr>
                        <th class="col-md-1">ID</th>
                        <th class="col-md-8">Name</th>
                        <th class="col-md-3">Options</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr th:each="developer, iterStat : ${game.getDevelopers()}" th:id="${iterStat.index}">
                        <td th:text="${developer.getId()}" th:name="id"></td>
                        <td th:text="${developer.getDeveloperName()}" th:name="name"></td>
                        <td>
                            <a th:onclick="'javascript:hrefForDeletingElementAttribute(\'game\', ' + ${game.getId()} + ', ' + ${developer.getId()} + ')'"
                               class="btn btn-danger">Remove</a>
                            <a class="btn btn-warning" href="#"
                               th:href="@{'/developer/' + ${developer.getId()} + '/update'}">Edit Developer</a>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="row">
            <table class="col-md-8 col-md-offset-2">
                <tbody>
                <tr>
                    <td class="col-md-7"></td>
                    <td class="col-md-2">
                        <select class="form-control"
                                th:onchange="'changeAddLink(this.id, \'addDevButton\' , \'developer\')'"
                                id="selectBox">
                            <option disabled="disabled" selected="selected">Bitte wählen</option>
                            <option th:each="developerSelect : ${allDevelopers}"
                                    th:text="${developerSelect.getDeveloperName()}"
                                    th:value="${developerSelect.getId()}">
                            </option>
                        </select>
                    </td>
                    <td class="col-md-3">
                        <a href="#" class="btn btn-success" id="addDevButton">
                            <span class="glyphicon glyphicon-plus"></span> Add Developer</a>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
        <div class="row">
            <div class="col-md-8 col-md-offset-2">
                <label>Languages</label>
            </div>
        </div>

        <div class="row">
            <div class="col-md-8 col-md-offset-2">
                <table class="table" id="langTable">
                    <thead class="thead-inverse">
                    <tr>
                        <th class="col-md-8">Name</th>
                        <th class="col-md-3">Options</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr th:each="language, iterStat : ${game.getLanguages()}" th:id="${iterStat.index}">
                        <td th:text="${language.language.getName()}"></td>
                        <td>
                            <a th:onclick="'javascript:hrefForDeletingElementAttribute(\'game\', ' + ${game.getId()} + ', ' + ${language.getId()} + ')'"
                               class="btn btn-danger">Remove</a>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="row">
            <table class="col-md-8 col-md-offset-2">
                <tbody>
                <tr>
                    <td class="col-md-7"></td>
                    <td class="col-md-2">
                        <select class="form-control"
                                th:onchange="'changeAddLink(this.id, \'addLangButton\' , \'language\')'"
                                id="selectBoxLang">
                            <option disabled="disabled" selected="selected">Bitte wählen</option>
                            <option th:each="langSelect : ${allLanguages}"
                                    th:text="${langSelect.language.getName()}"
                                    th:value="${langSelect.getId()}">
                            </option>
                        </select>
                    </td>
                    <td class="col-md-3">
                        <a href="#" class="btn btn-success" id="addLangButton">
                            <span class="glyphicon glyphicon-plus"></span> Add Language</a>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
        <div class="row">
            <div class="col-md-8 col-md-offset-2 container-popup">
                <input type="submit" value="Confirm" class="btn btn-success">
                <a href="#" th:href="@{'/games'}" class="btn btn-danger">Cancel</a>
            </div>
        </div>
    </form>
</div>
<script src="../../static/js/changeAdd.js" th:src="@{/js/changeAdd.js}" type="text/javascript"></script>

<script src="../../static/js/remove.js" th:src="@{/js/remove.js}" type="text/javascript"></script>

</body>
<script src="../../static/js/popup.js" th:src="@{/js/popup.js}" type="text/javascript"></script>
</html>